/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.vo.parada.ParadaVOConexionRuta;

/**
 * 
 * @author Valdir Cordeiro
 */
public class RenderConexaoPricing implements ListitemRenderer {
	
	
	public void render(Listitem lstm, Object o) throws Exception {
		
		ParadaVOConexionRuta conexion = (ParadaVOConexionRuta) o;
			
		Listcell lc = new Listcell(conexion.getParadaOrigem().getDescparada());
		lc.setParent(lstm);
		
		lc = new Listcell(conexion.getParadaDestino().getDescparada());
		lc.setParent(lstm);
		
		
		lstm.setValue(conexion);
			
		
	}
}
